curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/order/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data @- <<EOF
{
"orderId": "62f3982438bcab1951be0a19",
"reasonCode": "wrong item",
"subReasonCode": "Ordered item doesn't match",
"source": "<string>",
"employeeId": "AD5069",
"note": "Wrong item is sent to customer",
"policyCode": "Cancel",
"attributes": {
"IsCancellationEligibile": true
},
"items": [
{
"lineItemId": 12345,
"quantity": 1,
"reasonCode": "wrong item",
"subReasonCode": "Mismatched item"
}
]
}
EOFimport requests
url = "https://prod01.oms.fabric.inc/api/v2/order/cancel"
payload = {
"orderId": "62f3982438bcab1951be0a19",
"reasonCode": "wrong item",
"subReasonCode": "Ordered item doesn't match",
"source": "<string>",
"employeeId": "AD5069",
"note": "Wrong item is sent to customer",
"policyCode": "Cancel",
"attributes": { "IsCancellationEligibile": True },
"items": [
{
"lineItemId": 12345,
"quantity": 1,
"reasonCode": "wrong item",
"subReasonCode": "Mismatched item"
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderId: '62f3982438bcab1951be0a19',
reasonCode: 'wrong item',
subReasonCode: 'Ordered item doesn\'t match',
source: '<string>',
employeeId: 'AD5069',
note: 'Wrong item is sent to customer',
policyCode: 'Cancel',
attributes: {IsCancellationEligibile: true},
items: [
{
lineItemId: 12345,
quantity: 1,
reasonCode: 'wrong item',
subReasonCode: 'Mismatched item'
}
]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderNumber": "309019176",
"channelId": "12",
"statusCode": "ORDER_CREATED",
"items": [
{
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"lineItemNumber": 1,
"itemId": "1234",
"sku": "P1234",
"shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"channelId": "WHBM",
"segment": "P1234",
"vendorId": "P1234",
"title": "Item",
"type": "WEB_SHIP",
"subType": "Borderfree",
"backorder": true,
"orderedQuantity": 60,
"backOrderedQuantity": 10,
"pendingShippedQuantity": 10,
"pendingShippedBackOrderQuantity": 10,
"shippedQuantity": 10,
"deliveredQuantity": 10,
"invoiceQuantity": 10,
"cancelledQuantity": 10,
"pendingReturnQuantity": 10,
"processingReturnQuantity": 10,
"rejectedReturnQuantity": 10,
"returnedQuantity": 10,
"reshippedQuantity": 10,
"uom": "EA",
"itemUnitPrice": 10,
"itemSubTotal": 600,
"originalItemSubTotal": 600,
"itemFeeTotal": 5,
"originalFeeTotal": 5,
"itemShippingTotal": 5,
"originalShippingTotal": 5,
"appeasementTotal": 5.5,
"itemDiscountsTotal": 55,
"originalDiscounts": 55,
"itemTaxTotal": 5,
"originalTaxTotal": 555,
"itemTotal": 555,
"originalItemTotal": 555,
"outstandingItemTotal": 555,
"originalOutstandingItemTotal": 555,
"invoiceTotal": 555,
"currency": "USD",
"employeeId": "5345HJH",
"associateId": "5345HJH",
"fees": [
{
"type": "tax",
"value": 34.56,
"invoiceQuantity": 34,
"refundAmount": 10.4,
"quantity": 12
}
],
"appeasements": [
{
"appeasementCounter": 1,
"reasonCode": "Incorrect item",
"subReasonCode": "Late shipping",
"value": 34.56,
"invoiceValue": 34.56,
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"returns": [
{
"shipmentId": "12353543",
"shipmentLineItemId": "2412341",
"shipmentQuantity": 1,
"refundAmount": 11.29,
"invoicedAmount": 11.29,
"returnsCreatedAt": "2022-09-14T14:07:36.861Z"
}
],
"taxCode": "FR01",
"taxDetail": [
{
"type": "tax",
"value": 34.56
}
],
"discounts": [
{
"quantity": 2,
"amount": 2.4,
"unit": "AMOUNT_OFF",
"value": 2,
"promoId": "HNY2022",
"promoCode": "HNY2022",
"promoTitle": "Happy New Year",
"type": "promotion",
"invoiceQuantity": 2,
"returnQuantity": 2,
"cancelQuantity": 2
}
],
"attributes": {
"isDonation": true,
"isGiftCard": false,
"isFinalSale": false,
"returnsLink": true
},
"exchangeItem": true,
"parentLineItemNumber": 12,
"pendingExchangeQuantity": 12,
"exchangeQuantity": 13,
"refundAmount": 12.4,
"lineOrderStatus": "VALID",
"infiniteConsent": true,
"notes": [
{
"timestamp": "2022-05-12T09:30:31.198Z",
"user": "62272e917b12209e68751d94",
"notes": "Extra information to be provided"
}
],
"gifting": true
}
],
"shipInfo": [
{
"shipToId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"locationNum": "123",
"pickup": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"shipToAddress": {
"address1": "First line of address",
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"address2": "123 Parking Lot",
"address3": "Third line of address",
"address4": "Fourth line of address",
"city": "Beaumont",
"state": "TX",
"country": "USA",
"postalCode": "77705",
"type": "residence",
"latitude": 35.294952,
"longitude": 32.294952
},
"taxDetail": [
{
"type": "tax",
"value": 34.56
}
],
"shipMethod": "Express Delivery",
"shipToType": "SHIP_TO_ADDRESS",
"estimatedShipDate": "2022-05-12T09:30:31.198Z",
"estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
"shipToPrice": 20,
"shipToDiscount": 12.6,
"shipToTaxTotal": 12.6,
"shipmentInstructions": "User instructions",
"attributes": {
"isOpenBox": false,
"isOTPDElivery": true
}
}
],
"version": 123,
"orderId": "5349b4ddd2781d08c09890f4",
"orderDate": "2022-05-12T09:30:31.198Z",
"cancellationDate": "2022-05-12T09:30:31.198Z",
"allocationDate": "2022-05-12T09:30:31.198Z",
"cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"type": "WEB",
"subType": "International",
"processName": "CANCEL",
"employeeId": "43278",
"retail": {
"locationNum": 123,
"cashierId": "C-123",
"registerId": "113",
"transactionId": "R123-431-1133-2129"
},
"orderSubTotal": 123.45,
"originalSubTotal": 113.45,
"orderDiscount": 1.23,
"originalDiscounts": 1.45,
"feeTotal": 12.34,
"originalFeeTotal": 12.34,
"taxTotal": 12.34,
"appeasementTotal": 12.34,
"originalTaxTotal": 12.34,
"returnTotal": 12.34,
"cancelTotal": 12.34,
"invoiceTotal": 12.34,
"orderTotal": 146.9,
"originalOrderTotal": 146.9,
"currency": "USD",
"statusDescription": "Order Created",
"attributes": {
"type": "String/Number/JSON",
"purchaseOrder": "String",
"salesRepId": "String",
"approve": "String",
"fraudCheckSessionId": "aee6d1face0e4d55948d1e30b6240048",
"fraudCheckStatus": "UPDATED",
"fraudCheckTransId": "0R12TQ46",
"fraudScore": "31"
},
"fees": [
{
"type": "shipping",
"value": 34.56,
"invoiceValue": 34.56
}
],
"appeasements": [
{
"appeasementCounter": 1,
"reasonCode": "Incorrect item",
"subReasonCode": "Late shipping",
"value": 34.56,
"invoiceValue": 34.56,
"payments": [
{
"paymentCounter": 1,
"refundAmount": 40
}
]
}
],
"discounts": [
{
"quantity": 2,
"amount": 2.4,
"unit": "AMOUNT_OFF",
"value": 2,
"promoId": "HNY2022",
"promoCode": "HNY2022",
"promoTitle": "Happy New Year",
"type": "promotion",
"invoiceQuantity": 2,
"returnQuantity": 2,
"cancelQuantity": 2
}
],
"customer": {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john@fabric.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"userId": "62272e917b12209e68751d94",
"accountId": "62272e917b12209e68751d94",
"employeeId": "62272e917b12209e68751d94",
"company": "fabric"
},
"payments": [
{
"paymentCounter": 1,
"paymentDate": "2022-01-27T16:15:58-05:00",
"billToId": "62272e917b12209e68751d94",
"paymentIdentifier": {
"cardIdentifier": "3456",
"expirationYear": "2029",
"expirationMonth": "2029",
"paymentId": "62272e917b12209e68751d94",
"fabricPaymentReference": "test"
},
"paymentProvider": "stripe",
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"paymentMethod": "CREDIT_CARD",
"authAmount": 123.2,
"chargedAmount": 60,
"refundAmount": 40,
"currency": "USD",
"conversion": 1,
"paymentStatus": "OK",
"partialCapture": "false",
"finalCapture": "false",
"paymentLog": "payment response list",
"billToAddress": {
"address1": "First line of address",
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"address2": "123 Parking Lot",
"address3": "Third line of address",
"address4": "Fourth line of address",
"city": "Beaumont",
"state": "TX",
"country": "USA",
"postalCode": "77705",
"type": "residence",
"latitude": 35.294952,
"longitude": 32.294952
},
"attributes": {
"expirationMonth": 12
}
}
],
"auditLogs": [
{
"auditId": "62272e917b12209e68751d94",
"auditType": "<string>",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": true,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
],
"notes": [
{
"timestamp": "2022-05-12T09:30:31.198Z",
"user": "62272e917b12209e68751d94",
"notes": "Extra information to be provided"
}
],
"orderReleaseTimestamp": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Bad request"
}{
"message": "Order not found"
}{
"message": "Internal server error"
}Cancel order
Cancels order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Order cancellation request object
"62f3982438bcab1951be0a19"
Set to all line items and header audits logs
"wrong item"
Set to all line items and header audits logs
"Ordered item doesn't match"
Determine where the request is initialize
Determine who initiate the request
"AD5069"
Use to add notes
"Wrong item is sent to customer"
Set policy code
"Cancel"
Set attributes to header level audit log's attribute object
Show child attributes
Show child attributes
{ "IsCancellationEligibile": true }
Set when doing line item level cancellation other set to null or empty
Show child attributes
Show child attributes
Response
Order cancelled
Order response body
Unique order number
"309019176"
Sales channel ID
"12"
"ORDER_CREATED"
1 - 2147483647 elementsShow child attributes
Show child attributes
1 - 2147483647 elementsShow child attributes
Show child attributes
Number of updates happened to the order. Order-update refers to replacement, appeasement added, address change or any other order related update to the particular order.
Auto generated ID once the order created successfully
"5349b4ddd2781d08c09890f4"
Actual order creation date
"2022-05-12T09:30:31.198Z"
Order cancellation date if any
"2022-05-12T09:30:31.198Z"
Order allocation date after order is created
"2022-05-12T09:30:31.198Z"
ID of the cart where order is placed
"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"
Platfrom using which order is created
WEB, CSC, MOBILE_APP, POS "WEB"
Operating system of the platfom as mentioned in the type field. If you want to configure any custom valuefor this field, contact fabric.
IOS, Android, International "International"
Order process name
"CANCEL"
Employee ID used when an employee places an order on behave of the customer.
"43278"
Order retail object for reatil transactions. For non-retail transactions, only location number is provided.
Show child attributes
Show child attributes
Order value after calculating discounts and any applicable fees
123.45
Original order total value
113.45
Final discount value on order amount
1.23
Original discount on order value
1.45
Total fees, if any, applicable on order amount
12.34
Original fees appliable on shipping of items
12.34
Total tax amount appliable on shipping of items
12.34
Appeasement amount, if any, processed on the order
12.34
Original tax amount on order during fist time order creation
12.34
Return amount incase of order return
12.34
Cancel amount incase of order cancellation
12.34
Invoice value on order
12.34
Total order amount after calculating fees, discounts, retrurn and cancellation if any
146.9
Order amount during first time order creation after calculating all fees, taxes, and discounts
146.9
"USD"
"Order Created"
Show child attributes
Show child attributes
{
"type": "String/Number/JSON",
"purchaseOrder": "String",
"salesRepId": "String",
"approve": "String",
"fraudCheckSessionId": "aee6d1face0e4d55948d1e30b6240048",
"fraudCheckStatus": "UPDATED",
"fraudCheckTransId": "0R12TQ46",
"fraudScore": "31"
}
Show child attributes
Show child attributes
Array of appeasements, if any
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Order customer model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Order dispatched date and time
Date and time when the original order is modified for the first time, for example for return, cancellation or replacement
Date and time when the exisiting order is updated
Was this page helpful?
